%global         realname lite-xl
%global         build_timestamp %{lua: print(os.date("%Y%m%d"))}

Name:           %{realname}-nightly
Version:        nightly
Release:        %{build_timestamp}%{?dist}
Summary:        A lightweight text editor written in Lua

License:        MIT
URL:            https://github.com/lite-xl/lite-xl
Source0:        %{url}/archive/refs/heads/master.tar.gz#/%{name}-%{build_timestamp}.tar.gz

BuildRequires:  gcc
BuildRequires:  meson
BuildRequires:  pkgconfig(lua)
BuildRequires:  pkgconfig(libpcre2-8)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  desktop-file-utils
Requires:       hicolor-icon-theme

Conflicts:      %{realname}

%description
Lite XL is derived from lite. It is a lightweight text editor written
mostly in Lua — it aims to provide something practical, pretty, small
and fast easy to modify and extend, or to use without doing either.

The aim of Lite XL compared to lite is to be more user friendly,
improve the quality of font rendering, and reduce CPU usage.

%prep
%autosetup -n %{realname}-master

%build
%meson -Duse_system_lua=true
%meson_build

%install
%meson_install

%files
%{_bindir}/%{realname}
%{_datadir}/%{realname}/
%{_datadir}/applications/com.lite_xl.LiteXL.desktop
%{_datadir}/metainfo/com.lite_xl.LiteXL.appdata.xml
%{_datadir}/icons/hicolor/scalable/apps/%{realname}.svg
%{_docdir}/%{realname}/

%license LICENSE
